<?php

if (!isset($sp)) { $sp=""; }

if ($sp=="2") {

include "wmcarwmz.inc";

} else {

include "wmcardef.inc";

}

error_reporting(E_ALL);

include "strul.inc";

$ms1=toUpper($url.$purse.$amount.$desc.$mode);

#generatehash
#$md5p=md5("mypassword");
#$md5p=toUpper($md5p);

$md5p="A23F123C14B42D54534534C147129CF0";
#данный хеш был набран вручную, нужный хеш вы можете получить
#от своего пароля функцией MD5 и переведя в верхний регистр

$ms1=md5($ms1);
$ms1=toUpper($ms1);
$x1=$pci_wmtid.$WMID.$ms1.$pci_pursesrc.$pci_pursedest.$pci_amount.$pci_desc.$pci_datecrt.$mode;


@$fd=fopen("logmoney.wm","a");
@$s="WMID: $WMID\n$pci_pursesrc\n$pci_pursedest\n$pci_amount\n$pci_desc\n$pci_datecrt\n$pci_mode\n\n";
@fputs ($fd,$s);
@fclose($fd);

$mysign=md5($x1.$md5p);
$accept=1;

if ($pci_pursedest!="R510907660787") { $accept==0; }
$p1=intval($pci_amount);
$p2=intval($amount);
if ($p1!=$p2) { $accept==0; }

$mysign=toUpper($mysign);

if ($pci_marker!=$mysign) { die ("НЕ совпало! $pci_marker и $mysign"); }

if (($accept==1) and ($pci_mode="test")) { $accept=3; }

if ($accept==1) {
echo "OK";
}

if ($accept==3) {
echo "Тестовый режим прошел!";
}

if ($accept==0) {
echo "Неверные данные!";
}


?>